/* comment */
say ''
say ''
say 'This patch will remove the startup nag from PMView 0.93...Have Phun!'
say 'Compliments of a desperate SafeHex :)'
say 'This patch is brought to u by SafeHex...all the way from India :)'
say ''
say ''
parse arg fname
if fname = '' then do
    say 'usage: PMView093.Cmd pmview.exe'
    return
end
say 'Patching file' fname
say ''
t = charin(fname, 70657, 16)
if c2x(t) <> '00E888C80300A150A5110083F801743C' then do
    say 'Verification failed'
    return
end
t = charout(fname, x2c('00E888C80300A150A5110083F801EB3C'), 70657)
say 'Patches applied to' fname
